## MMCellInfoTdscdma MMCellInfoTdscdma — Helper object to report TDSCDMA cell info |

## Functions

const gchar * | mm_cell_info_tdscdma_get_operator_id ()
const gchar * | mm_cell_info_tdscdma_get_lac ()
const gchar * | mm_cell_info_tdscdma_get_ci ()
guint | mm_cell_info_tdscdma_get_uarfcn ()
guint | mm_cell_info_tdscdma_get_cell_parameter_id ()
guint | mm_cell_info_tdscdma_get_timing_advance ()
gdouble | mm_cell_info_tdscdma_get_rscp ()
guint | mm_cell_info_tdscdma_get_path_loss ()

## Types and Values

struct | MMCellInfoTdscdma

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoTdscdma

## Description

The MMCellInfoTdscdma is an object used to report TDSCDMA cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_tdscdma_get_operator_id ()

    const gchar *
    mm_cell_info_tdscdma_get_operator_id (MMCellInfoTdscdma *self);

Get the PLMN MCC/MNC.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_tdscdma_get_lac ()

    const gchar *
    mm_cell_info_tdscdma_get_lac (MMCellInfoTdscdma *self);

Get the two-byte Location Area Code of the base station.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_tdscdma_get_ci ()

    const gchar *
    mm_cell_info_tdscdma_get_ci (MMCellInfoTdscdma *self);

Get the two- or four-byte Cell Identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_tdscdma_get_uarfcn ()

    guint
    mm_cell_info_tdscdma_get_uarfcn (MMCellInfoTdscdma *self);

Get the UTRA absolute RF channel number.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the UARFCN, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_tdscdma_get_cell_parameter_id ()

    guint
    mm_cell_info_tdscdma_get_cell_parameter_id
                                   (MMCellInfoTdscdma *self);

Get the cell parameter id.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the cell parameter id, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_tdscdma_get_timing_advance ()

    guint
    mm_cell_info_tdscdma_get_timing_advance
                                   (MMCellInfoTdscdma *self);

Get the measured delay (in bit periods) of an access burst transmission on the RACH or PRACH to the expected signal from a mobile station at zero distance under static channel conditions.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the timing advance, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_tdscdma_get_rscp ()

    gdouble
    mm_cell_info_tdscdma_get_rscp (MMCellInfoTdscdma *self);

Get the received signal code power.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the RSCP, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_tdscdma_get_path_loss ()

    guint
    mm_cell_info_tdscdma_get_path_loss (MMCellInfoTdscdma *self);

Get the path loss of the cell.

#### Parameters

self | a MMCellInfoTdscdma. |

#### Returns

the path loss, or `G_MAXUINT` if not available.

Since: 1.20

## Types and Values

### struct MMCellInfoTdscdma

    struct MMCellInfoTdscdma;

The MMCellInfoTdscdma structure contains private data and should only be accessed using the provided API.